﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class IPG_RTA2_Fracciones : MonoBehaviour
{
    [SerializeField] Transform[] transFracciones;

    private void OnEnable()
    {
        IPG_RTA_RotarCirculo.Mostrar += CambiarPosFracciones;

        CambiarPosFracciones();
    }

    private void OnDisable()
    {
        IPG_RTA_RotarCirculo.Mostrar -= CambiarPosFracciones;
    }

    public void  CambiarPosFracciones()
    {
        //mover objetos
        if (IPG_RTA2_BotonRojo.desfaseSegunRot >= 0 && IPG_RTA2_BotonRojo.desfaseSegunRot < 45)
        {
            for (int i = 0; i < transFracciones.Length; i++)
            {
                transFracciones[i].localPosition = new Vector3(posicionesOriginalesFracciones[i].x, posicionesOriginalesFracciones[i].y, 0);
            }
        }
        else if (IPG_RTA2_BotonRojo.desfaseSegunRot >= 45 && IPG_RTA2_BotonRojo.desfaseSegunRot < 90)
        {
            transFracciones[7].localPosition = new Vector3(posicionesOriginalesFracciones[0].x, posicionesOriginalesFracciones[0].y, 0);
            for (int i = 0; i < 7; i++)
            {
                transFracciones[i].localPosition = new Vector3(posicionesOriginalesFracciones[i + 1].x, posicionesOriginalesFracciones[i + 1].y, 0);
            }
        }
        else if (IPG_RTA2_BotonRojo.desfaseSegunRot >= 90 && IPG_RTA2_BotonRojo.desfaseSegunRot < 200)
        {
            for (int i = 0; i < 2; i++)
            {
                transFracciones[i + 6].localPosition = new Vector3(posicionesOriginalesFracciones[i].x, posicionesOriginalesFracciones[i].y, 0);
            }
            for (int i = 0; i < 6; i++)
            {
                transFracciones[i].localPosition = new Vector3(posicionesOriginalesFracciones[i + 2].x, posicionesOriginalesFracciones[i + 2].y, 0);
            }
        }
        else if (IPG_RTA2_BotonRojo.desfaseSegunRot >= 225 && IPG_RTA2_BotonRojo.desfaseSegunRot < 300)
        {
            //reemplazar por dos for
            transFracciones[0].localPosition = new Vector3(posicionesOriginalesFracciones[5].x, posicionesOriginalesFracciones[5].y);
            transFracciones[1].localPosition = new Vector3(posicionesOriginalesFracciones[6].x, posicionesOriginalesFracciones[6].y);
            transFracciones[2].localPosition = new Vector3(posicionesOriginalesFracciones[7].x, posicionesOriginalesFracciones[7].y);

            transFracciones[3].localPosition = new Vector3(posicionesOriginalesFracciones[0].x, posicionesOriginalesFracciones[0].y);
            transFracciones[4].localPosition = new Vector3(posicionesOriginalesFracciones[1].x, posicionesOriginalesFracciones[1].y);
            transFracciones[5].localPosition = new Vector3(posicionesOriginalesFracciones[2].x, posicionesOriginalesFracciones[2].y);
            transFracciones[6].localPosition = new Vector3(posicionesOriginalesFracciones[3].x, posicionesOriginalesFracciones[3].y);
            transFracciones[7].localPosition = new Vector3(posicionesOriginalesFracciones[4].x, posicionesOriginalesFracciones[4].y);
        }
    }

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    List<PosFraccs> posicionesOriginalesFracciones = new List<PosFraccs>()
    {
        new PosFraccs{x = 2.325f, y= 0.043f},
        new PosFraccs{x = 1.705f, y= 1.686f},
        new PosFraccs{x = 0, y= 2.36f},
        new PosFraccs{x = -1.705f, y= 1.686f},
        new PosFraccs{x = -2.325f, y= 0.043f},
        new PosFraccs{x = -1.705f, y= -1.65f},
        new PosFraccs{x = 0, y= -2.36f},
        new PosFraccs{x = 1.705f, y= -1.67f}
    };
}

struct PosFraccs
{
    public float x;
    public float y;
}
